Ruediger Oertel changed bug 928398
What Removed Added
CC   Mathias.Homann@opensuse.org
Flags   needinfo?(Mathias.Homann@opensuse.org)

Comment # 1 on bug 928398 from
proposed patch:

diff --git a/files/etc/profile.d/profile.csh b/files/etc/profile.d/profile.csh
index 6dc4e99..61fc4b1 100644
--- a/files/etc/profile.d/profile.csh
+++ b/files/etc/profile.d/profile.csh
@@ -65,6 +65,15 @@ foreach line ( "`/bin/grep -vh '^#' $sysconf`" )
     if (! ${%proxy_enabled} == yes ) continue
     setenv gopher_proxy "${val:q}"
     breaksw
+    case SOCKS_PROXY=*:
+    if (! ${%proxy_enabled} == yes ) continue
+    setenv socks_proxy "${val:q}"
+    setenv SOCKS_PROXY "${val:q}"
+    breaksw
+    case SOCKS5_SERVER=*:
+    if (! ${%proxy_enabled} == yes ) continue
+    setenv SOCKS5_SERVER "${val:q}"
+    breaksw
     case NO_PROXY=*:
     if (! ${%proxy_enabled} == yes ) continue
     setenv no_proxy "${val:q}"
@@ -99,7 +108,7 @@ endif

 if ( ${?proxy_enabled} ) then
     if ( "$proxy_enabled" != "yes" ) then
-    unsetenv http_proxy https_proxy ftp_proxy gopher_proxy no_proxy
+    unsetenv http_proxy https_proxy ftp_proxy gopher_proxy no_proxy
socks_proxy SOCKS_PROXY SOCKS5_SERVER
     endif
     unset proxy_enabled
 endif
diff --git a/files/etc/profile.d/profile.sh b/files/etc/profile.d/profile.sh
index ab8431b..58658ab 100644
--- a/files/etc/profile.d/profile.sh
+++ b/files/etc/profile.d/profile.sh
@@ -64,6 +64,18 @@ do
         gopher_proxy="${val}"
         export gopher_proxy
         ;;
+    SOCKS_PROXY=*)
+        test "$PROXY_ENABLED" = "yes" || continue
+        socks_proxy="${val}"
+        export socks_proxy
+        SOCKS_PROXY="${val}"
+        export SOCKS_PROXY
+        ;;
+    SOCKS5_SERVER=*)
+        test "$PROXY_ENABLED" = "yes" || continue
+        SOCKS5_SERVER="${val}"
+        export SOCKS5_SERVER
+        ;;
     NO_PROXY=*)
         test "$PROXY_ENABLED" = "yes" || continue
         no_proxy="${val}"
@@ -102,7 +114,7 @@ if test -d /usr/lib/rasmol ; then
 fi

 if test "$PROXY_ENABLED" != "yes" ; then
-    unset http_proxy https_proxy ftp_proxy gopher_proxy no_proxy NO_PROXY
+    unset http_proxy https_proxy ftp_proxy gopher_proxy no_proxy NO_PROXY
socks_proxy SOCKS_PROXY SOCKS5_SERVER
 fi
 unset PROXY_ENABLED

diff --git a/files/var/adm/fillup-templates/sysconfig.proxy
b/files/var/adm/fillup-templates/sysconfig.proxy
index 45216e9..61baf53 100644
--- a/files/var/adm/fillup-templates/sysconfig.proxy
+++ b/files/var/adm/fillup-templates/sysconfig.proxy
@@ -40,6 +40,20 @@ FTP_PROXY=""
 #
 GOPHER_PROXY=""

+## Type:    string
+## Default:    ""
+#
+# Example: SOCKS_PROXY="socks://proxy.example.com:8080"
+#
+SOCKS_PROXY=""
+
+## Type:    string
+## Default:    ""
+#
+# Example: SOCKS5_SERVER="office-proxy.example.com:8881"
+#
+SOCKS5_SERVER=""
+
 ## Type:    string(localhost)
 ## Default:    localhost
 #


okay that way ?


You are receiving this mail because: